package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisHiddRectProg;

/**
 * 隐患整改进展情况 服务层
 */
public interface IBisHiddRectProgService {

    /**
     * 查询隐患整改进展情况信息
     * @param guid 查询条件
     * @return 隐患整改进展情况信息
     */
    BisHiddRectProg selectBisHiddRectProgByGuid(String guid);

    /**
     * 查询隐患整改进展情况列表
     * @param bisHiddRectProg 隐患整改进展情况查询条件
     * @return 隐患整改进展情况集合
     */
    List<BisHiddRectProg> selectBisHiddRectProgList(BisHiddRectProg bisHiddRectProg);

    /**
     * 新增隐患整改进展情况
     * @param bisHiddRectProg 隐患整改进展情况信息
     * @return 影响行数
     */
    int insertBisHiddRectProg(BisHiddRectProg bisHiddRectProg);

    /**
     * 修改隐患整改进展情况
     * @param bisHiddRectProg 隐患整改进展情况信息
     * @return 影响行数
     */
    int updateBisHiddRectProg(BisHiddRectProg bisHiddRectProg);

    /**
     * 删除隐患整改进展情况
     * @param guid 隐患整改进展情况主键
     * @return 影响行数
     */
    int deleteBisHiddRectProgByGuid(String guid);

    /**
     * 批量删除隐患整改进展情况
     * @param guids 隐患整改进展情况主键数组
     * @return 影响行数
     */
    int deleteBisHiddRectProgByGuids(String[] guids);
}
